/*
 * SPDX-License-Identifier: GPL-3.0
 * Modified for Aerocord, originally part of Vesktop, a desktop app aiming to give you a snappier Discord Experience
 * Copyright (c) 2024-2024 Aiek 
 * Copyright (c) 2024 RandomServer Community
 * Copyright (c) 2023 Vendicated and Vencord contributors
 */

import { Select } from "@vencord/types/webpack/common";

import { SettingsComponent } from "./Settings";

export const DiscordBranchPicker: SettingsComponent = ({ settings }) => {
    return (
        <Select
            placeholder="Stable"
            options={[
                { label: "Stable", value: "stable", default: true },
                { label: "Canary", value: "canary" },
                { label: "PTB", value: "ptb" }
            ]}
            closeOnSelect={true}
            select={v => (settings.discordBranch = v)}
            isSelected={v => v === settings.discordBranch}
            serialize={s => s}
        />
    );
};
